Subject: bug#15950: 24.3; emacs aborted when open a remote image file in dired.

From: Michael Albinus <[email-masked]>
Date: Mon, 25 Nov 2013 15:25:15 +0100

Jingtao Xu <[email-masked]> writes:

Hi,

> I have an image file(jpg format) in a remote machine,I go to the remote directory using tramp url
> "/scpc:user@hostname:/path/",then dired opened to display the files in this directory,
> then I click entor on this image to open it in emacs,then emacs aborted.

I cannot reproduce this with a recent Emacs 24.3.50.

> I tried to use "gdb emacs" to start emacs and get following backtrace:
>
> Program received signal SIGABRT, Aborted.
> 0x00007ffff2968a9b in raise () from /lib64/libpthread.so.0
> (gdb) backtrace
> #0  0x00007ffff2968a9b in raise () from /lib64/libpthread.so.0
> #1  0x00000000004dfa85 in terminate_due_to_signal ()
> #2  0x00000000004fa593 in emacs_abort ()
> #3  0x0000000000498832 in multibyte_chars_in_text ()
> #4  0x000000000053a3c8 in make_specified_string ()
> #5  0x00000000005111b8 in Fdirectory_file_name ()

This looks suspicious. What is the name of the file in question? What is
the whole path to that file? Are there any non-ASCII characters?

> Important settings:
>   value of $LC_COLLATE: POSIX
>   value of $LC_CTYPE: zh_CN.UTF-8
>   value of $LANG: en_US.UTF-8
>   value of $XMODIFIERS: @im=fcitx
>   locale-coding-system: utf-8
>   default enable-multibyte-characters: t

There have been some recent changes in Tramp, which allow better support
of utf8. Maybe that fixes this already.

However, first I would like to reproduce the problem with Emacs 24.3.

Best regards, Michael.